package com.example.smart119.views

import android.content.Context
import android.graphics.Canvas
import android.graphics.Paint
import android.graphics.Path
import android.util.AttributeSet
import android.view.View

class LidarCustomView @JvmOverloads constructor(
    context: Context,
    attrs: AttributeSet? = null,
    defStyleAttr: Int = 0
) : View(context, attrs, defStyleAttr) {

    private var paint = Paint(Paint.ANTI_ALIAS_FLAG).apply {
        color = 0xFFFF0000.toInt() // 줄무늬 색상
        style = Paint.Style.FILL
    }

    private val lineWidth = 2f // 줄 두께
    private val gap = 4f// 줄 사이 간격

    override fun onDraw(canvas: Canvas) {
        super.onDraw(canvas)

        // View 전체 영역
        val width = width.toFloat()
        val height = height.toFloat()

        // 세로 줄무늬 그리기
        var x = 0f
        while (x < width) {
            canvas.drawRect(x, 0f, x + lineWidth, height, paint)
            x += lineWidth + gap
        }

        // 마지막 세로 줄 추가
//        if (x - gap < width) {
//            canvas.drawRect(x - gap, 0f, width, height, paint)
//        }

        // 가로 줄무늬 그리기
        var y = 0f
        while (y < height) {
            canvas.drawRect(0f, y, width, y + lineWidth, paint)
            y += lineWidth + gap
        }
//
//        // 마지막 가로 줄 추가
//        if (y - gap < height) {
//            canvas.drawRect(0f, y - gap, width, height, paint)
//        }
    }
}